> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Record a partner event

> Records an incorporation milestone reported by an authorized partner. This endpoint is currently available to ITAdvisors only. The `event` value must be one of the events listed below for ITAdvisors.
Provide `organization_id`, `registration_id`, or both. When both are provided, they must identify the same organization. Early events can be reported before a registration exists, using `organization_id`.
Repeated reports for the same partner, organization, and event are idempotent. If duplicate reports have different `occurred_at` values, Qonto retains the earliest timestamp.




## OpenAPI

````yaml post /register/partner_events
openapi: 3.0.3
info:
  title: Onboarding API
  version: '1.0'
  license:
    name: Proprietary
    url: https://qonto.com/terms
servers:
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox
  - url: https://onboarding-partners.qonto.com
    description: Production
security:
  - apiKey: []
    qontoPartnerId: []
tags:
  - name: Registrations
    description: Endpoints for Registration resource
  - name: Files
    description: Endpoints for file management throughout the company creation process.
  - name: Webhooks
    description: Endpoints to configure webhook to be notified about registration progress.
paths:
  /register/partner_events:
    post:
      tags:
        - Partner events
      summary: Record a partner event
      description: >
        Records an incorporation milestone reported by an authorized partner.
        This endpoint is currently available to ITAdvisors only. The `event`
        value must be one of the events listed below for ITAdvisors.

        Provide `organization_id`, `registration_id`, or both. When both are
        provided, they must identify the same organization. Early events can be
        reported before a registration exists, using `organization_id`.

        Repeated reports for the same partner, organization, and event are
        idempotent. If duplicate reports have different `occurred_at` values,
        Qonto retains the earliest timestamp.
      operationId: partner-events/create
      parameters:
        - $ref: '#/components/parameters/X-Qonto-Staging-Token'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - event
                - occurred_at
              properties:
                organization_id:
                  type: string
                  format: uuid
                  description: >-
                    Qonto organization ID. Required unless `registration_id` is
                    provided.
                  example: 6367b150-ce8c-40c4-8e0a-5535119fde70
                registration_id:
                  type: string
                  format: uuid
                  description: >-
                    Partner registration ID. May be sent with `organization_id`
                    if both identify the same organization.
                  example: 01959094-8699-7b6c-b0e6-9cd728890843
                event:
                  type: string
                  description: >-
                    ITAdvisors event name. Other partner codes or undeclared
                    event names are rejected.
                  enum:
                    - incorporation_flow_started
                    - incorporation_legal_form_filled
                    - incorporation_pricing_seen
                    - incorporation_invoicing_info_filled
                    - incorporation_checkout_clicked
                    - incorporation_payment_completed
                    - incorporation_accountant_booked
                    - incorporation_accountant_completed
                    - incorporation_vat_submitted
                    - incorporation_vat_completed
                  example: incorporation_flow_started
                occurred_at:
                  type: string
                  format: date-time
                  description: Timestamp when the event occurred, with timezone.
                  example: '2026-09-23T10:00:00Z'
              anyOf:
                - required:
                    - organization_id
                - required:
                    - registration_id
      responses:
        '201':
          description: Event recorded or an existing event updated idempotently.
        '401':
          $ref: '#/components/responses/401-unauthorized'
        '403':
          description: >-
            The authenticated partner is not authorized to report events for
            this organization.
        '404':
          $ref: '#/components/responses/404-not-found'
        '422':
          $ref: '#/components/responses/422-unprocessable-entity'
        '500':
          $ref: '#/components/responses/500-internal-servor-error'
      security:
        - apiKey: []
          qontoPartnerId: []
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
  responses:
    401-unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errors'
          examples:
            Example:
              $ref: '#/components/examples/unauthorized'
    404-not-found:
      description: >-
        Returns a not found error if the specified resource was not found or
        does not belong to the authenticated partner.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errors'
          examples:
            Example:
              $ref: '#/components/examples/not-found'
    422-unprocessable-entity:
      description: >-
        Returns an unprocessable entity error if any required parameters are
        missing, or if validation rules are not respected.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errors'
          examples:
            Example:
              $ref: '#/components/examples/unprocessable-entity'
    500-internal-servor-error:
      description: Returns an internal server error.
  schemas:
    errors:
      title: Errors
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                readOnly: true
              detail:
                type: string
                readOnly: true
              source:
                type: object
                properties:
                  pointer:
                    type: string
                readOnly: true
            required:
              - code
              - detail
  examples:
    unauthorized:
      value:
        errors:
          - code: unauthorized
            detail: You must authenticate to perform API requests
    not-found:
      value:
        errors:
          - code: not_found
            detail: The record identified by <uuid> could not be found.
    unprocessable-entity:
      value:
        errors:
          - code: <error-code>
            detail: <relevant-detail>
            source:
              pointer: <ie /data/attributes/attr_name>
  securitySchemes:
    apiKey:
      type: http
      description: >
        Bearer authorization header: `Bearer <token>`.

        To get your `<token>`, please sign up to the [Developer
        Portal](https://developers.qonto.com/).
      scheme: bearer
      bearerFormat: JWT
    qontoPartnerId:
      type: apiKey
      description: >
        API Key authorization header: `Qonto-Partner-Id: <partner_id>`.

        To get your `<partner_id>` please, sign up to the [Developer
        Portal](https://developers.qonto.com/).
      name: Qonto-Partner-Id
      in: header

````